Skip to navigation

Get Channel Details by Channel ID

Returns data for the specific channel associated with channel_id. Analogous to Get A Channel in the BigCommerce API.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

channel_idintegerRequired
The unique BigCommerce channel ID.

Response

SUCCESS
codeintegerOptionalDefaults to 200
dataobjectOptional
A BigCommerce store channel object
metaobjectOptional

Errors

404
Not Found Error
422
Unprocessable Entity Error